package com.ruoyi.device.config;

/**
 * MQTT 订阅
 *
 * @author lwm
 */
public class MessageRouter
{
    /** EMQX 主题，支持 $share 组共享订阅 */
    private String topic;

    /** QoS 0/1/2 */
    private int qos;

    /** 监听器 Spring Bean 名称，实现 {@link org.eclipse.paho.client.mqttv3.IMqttMessageListener} 的 Bean 名称 */
    private String listener;

    public String getTopic()
    {
        return topic;
    }

    public void setTopic(String topic)
    {
        this.topic = topic;
    }

    public int getQos()
    {
        return qos;
    }

    public void setQos(int qos)
    {
        this.qos = qos;
    }

    public String getListener()
    {
        return listener;
    }

    public void setListener(String listener)
    {
        this.listener = listener;
    }
}
